package com.gihon.permission.controller;

import com.gihon.common.web.response.Response;
import com.gihon.permission.entity.Permission;
import com.gihon.permission.service.permissionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * @program: common-parent
 * @description:
 * @author: dl
 * @create: 02月19日 09时
 **/
@RequestMapping("/Permission")
public class PermissionController {
    @Autowired
    private permissionService permissionService;
    /**
     * 处理内容： 查看用户权限
     * @param id 用户id
     * @return 用户拥有的权限列表
     */
    @GetMapping("/getPermissionsByUserId")
    @ResponseBody
    public Response<Permission> getPermission(Long id){
        Response permissions = permissionService.findPermissionsByUserId(id);
        return permissions;
    }

    public Response setPermission(Long id ,String permissionStr){
        Response modifyPermission = permissionService.modifyPermission(id, permissionStr);
        return modifyPermission;
    }
    /**
     * 主要功能：
     * @description 根据id 查找权限信息
     * @author: dl
     * @data 2021/2/23 15:33
     * @param	id
     * @return com.gihon.common.web.response.Response
     */
    @RequestMapping("/getPermissionById")
    @ResponseBody
    public Response getPermissionById(Long id){
        Response response = permissionService.getpermissionById(id);
        return response;
    }


    @RequestMapping("/deletePermissionById")
    @ResponseBody
    public Response deletePermissionById(Long id){
        Response response = permissionService.deletePermissionById(id);
        return response;
    }

}
