package com.gihon.security.matchers.impl;

import com.gihon.security.matchers.MyPermissionsMatcher;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.authority.SimpleGrantedAuthority;
import org.springframework.stereotype.Component;

import javax.servlet.http.HttpServletRequest;
import java.util.Collection;

/**
 *权限校验器
 */
@Component
public class MyPermissionsMatcherImpl implements MyPermissionsMatcher {
    @Override
    public boolean hasPermission(HttpServletRequest request, Authentication authentication) {
        String servletPath = request.getServletPath();
        System.out.println("本次请求的地址是：" + servletPath);
        // 当前登录用户的权限集合
        Collection<? extends GrantedAuthority> authorities = authentication.getAuthorities();

        // 定义请求地址和权限描述一致。
        GrantedAuthority currentAuthority = new SimpleGrantedAuthority(servletPath.substring(1));
        //用户权限集合中是否包含当前的权限对象
        boolean isContains = authorities.contains(currentAuthority);
        System.out.println("用户权限集合中是否包含当前的权限对象：" + isContains);
        return isContains;
}
}
