package com.gihon.sso.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gihon.common.exception.LoginException;
import com.gihon.common.util.PasswordUtils;
import com.gihon.common.web.response.ResponseStatus;
import com.gihon.sso.entity.vo.UserInfo;
import com.gihon.sso.mapper.UserInfoMapper;
import com.gihon.sso.service.UserService;

@Service
public class UserServiceImpl implements UserService {

	@Autowired
	private UserInfoMapper userInfoMapper;
	
	@Override
	public UserInfo queryUserByUserAccount(String account) {
		return userInfoMapper.queryUserByAccount(account);
	}

	@Override
	public UserInfo queryUserForLogin(String account, String password) {
		UserInfo userInfo = this.queryUserByUserAccount(account);
		if(userInfo==null) {
			throw new LoginException(ResponseStatus.LOGIN_ERROR);
		}
		boolean checkFlag = PasswordUtils.checkPassword(userInfo.getPassword(), password, userInfo.getSalt());
		if(!checkFlag) {
			throw new LoginException(ResponseStatus.LOGIN_ERROR);
		}
		return userInfo;
	}

	public static void main(String[] args){
		System.out.println(PasswordUtils.makePassword("123456", "admin"));
	}
}
